gazelle-token-service-war/src/main/java/net/ihe/gazelle/token/interlay/ihm/MenuBean.java
package net.ihe.gazelle.token.interlay.ihm;

import net.ihe.gazelle.token.application.utils.DateFormatter;
import net.ihe.gazelle.token.interlay.annotation.LogAudited;
import net.ihe.gazelle.token.interlay.factory.TokenInfrastructureFactory;

import javax.enterprise.context.RequestScoped;
import javax.inject.Inject;
import javax.inject.Named;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author Claude LUSSEAU
 * @company KEREVAL
 * @project gazelle-token
 * @date 01/07/2022
 */
@Named
@LogAudited
@RequestScoped
public class MenuBean implements Serializable {

    private final TokenInfrastructureFactory serviceFactory;

    @Inject
    public MenuBean(TokenInfrastructureFactory serviceFactory) {
        this.serviceFactory = serviceFactory;
    }

    @Inject
    private DateFormatter formatter;

    private final LocalDateTime now = LocalDateTime.now();

    public String getNow() {
        return formatter.formatYearToString(now);
    }

    public String getVersion() {
        return this.serviceFactory.getServiceFactory().getPropertiesService().getVersion();
    }
}

gazelle-token-service-war/src/main/webapp/layout/footer/footer.xhtml
<!--
 ~ Gazelle Token Service is an Api for the Gazelle Test Bed
 ~ Copyright (C) 2006-2022 IHE
 ~ mailto :claude DOT lusseau AT kereval DOT com
 ~
 ~ See the NOTICE file distributed with this work for additional information
 ~ regarding copyright ownership.  This code is licensed
 ~ to you under the Apache License, Version 2.0 (the
 ~ "License"); you may not use this file except in compliance
 ~ with the License.  You may obtain a copy of the License at
 ~
 ~   http://www.apache.org/licenses/LICENSE-2.0
 ~
 ~ Unless required by applicable law or agreed to in writing,
 ~ software distributed under the License is distributed on an
 ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 ~ KIND, either express or implied.  See the License for the
 ~ specific language governing permissions and limitations
 ~ under the License.
-->

<ui:fragment xmlns="http://www.w3.org/1999/xhtml"
             xmlns:b="http://bootsfaces.net/ui"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets">


    <div class="gzl-section-credits gzl-mt-3rem">
        <b:row>
            <b:column medium-screen="3" styleClass="gzl-home-section">
                <h:outputText value="Copyright IHE #{menuBean.now}"/>
            </b:column>
            <b:column medium-screen="3" styleClass="gzl-home-section">
                <b:navLink href="https://gazelle.ihe.net/content/terms-conditions" target="blank">Terms and conditions</b:navLink>
            </b:column>
            <b:column medium-screen="3" styleClass="gzl-home-section">
                <b:navLink href="mailto:benjamin.carriou@kereval.com">Contact and support</b:navLink>
            </b:column>
            <b:column medium-screen="3" styleClass="gzl-home-section">
                <b:navLink href="https://qualification2.ihe-europe.net/gazelle-documentation/Gazelle-Token-Service/user.html" target="blank">Documentation</b:navLink>
            </b:column>
            <b:column medium-screen="3" styleClass="gzl-home-section">
                <h:outputText value="Gazelle Token Service #{menuBean.version}"/>
            </b:column>
        </b:row>
    </div>

</ui:fragment>